#ifndef AccountAktivität_H
#define AccountAktivität_H

#include <AuswahlBox.h>
#include <Diagramm.h>
#include <Fenster.h>
#include <Thread.h>

using namespace Framework; 

class AccountAktivität : public Thread
{
private:
	Fenster *aktivitätF;
	LDiag *online;
	LDiag *spiele;
	int status;
	int accId;
	int animation;
	unsigned char alpha;
	double tickVal;
	bool rend;
	int ref;
	
public:
	// Konstruktor
	AccountAktivität( Schrift *zSchrift );
	// Destruktor
	~AccountAktivität();
	// nicht constant
	void reset();
	void ladeStatistik( int accId );
	virtual void thread();
	void setSichtbar( bool sichtbar, bool nachRechts );
	bool tick( double zeit );
	void render( Bild &zRObj );
	// constant
	int getStatus() const;
	// Reference Counting
	AccountAktivität *getThis();
	AccountAktivität *release();
};

#endif